import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { Balloon, Button } from "@alicloudfe/components";
import cls from "classnames";

var BDesignContainer = function BDesignContainer(props) {
  var className = props.className,
      size = props.size,
      theme = props.theme,
      disabled = props.disabled,
      rest = _objectWithoutProperties(props, ["className", "size", "theme", "disabled"]);

  return /*#__PURE__*/React.createElement(Balloon, _extends({
    triggerType: "click",
    align: "bl",
    alignEdge: true,
    closable: false,
    popupClassName: "next-overflow-menu-list",
    trigger: /*#__PURE__*/React.createElement(Button, {
      disabled: disabled,
      className: cls(className, {
        'next-overflow-menu': true,
        'next-overflow-menu-xs': size === 'xs',
        'next-overflow-menu-small': size === 'small',
        'next-overflow-menu-medium': size === 'medium',
        'next-overflow-menu-large': size === 'large',
        'next-overflow-menu-dark': theme === 'dark'
      })
    }, /*#__PURE__*/React.createElement("i", {
      className: "iconfont icon-Overflowmenuvertical-Outlined"
    })),
    className: cls(className, {
      'b-design-overflow-menu': true
    })
  }, rest));
};

var BDesignItem = function BDesignItem(props) {
  var className = props.className,
      type = props.type,
      size = props.size,
      rest = _objectWithoutProperties(props, ["className", "type", "size"]);

  return /*#__PURE__*/React.createElement("div", _extends({
    className: cls(className, {
      'next-overflow-menu-item': true
    })
  }, rest));
};

BDesignContainer.Item = BDesignItem;
export default BDesignContainer;